summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/gcc/files/fix_libtool_files.sh')
-rw-r--r--sys-devel/gcc/files/fix_libtool_files.sh24
1 files changed, 13 insertions, 11 deletions
diff --git a/sys-devel/gcc/files/fix_libtool_files.sh b/sys-devel/gcc/files/fix_libtool_files.sh
index 12f3bcbee9d7..b2d504fa19af 100644
--- a/sys-devel/gcc/files/fix_libtool_files.sh
+++ b/sys-devel/gcc/files/fix_libtool_files.sh
@@ -2,16 +2,7 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# Author: Martin Schlemmer <azarah@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/files/fix_libtool_files.sh,v 1.5 2003/03/09 03:23:08 azarah Exp $
-
-source /etc/profile
-source /sbin/functions.sh
-
-if [ "`id -u`" -ne 0 ]
-then
- eerror "${0##*/}: Must be root."
- exit 1
-fi
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/files/fix_libtool_files.sh,v 1.6 2003/07/24 18:00:07 azarah Exp $
usage() {
cat << "USAGE_END"
@@ -33,6 +24,17 @@ then
usage
fi
+ARGV1="$1"
+
+source /etc/profile
+source /sbin/functions.sh
+
+if [ "`id -u`" -ne 0 ]
+then
+ eerror "${0##*/}: Must be root."
+ exit 1
+fi
+
AWKDIR="/lib/rcscripts/awk"
if [ ! -r "${AWKDIR}/fixlafiles.awk" ]
@@ -42,7 +44,7 @@ then
fi
einfo "Scannig libtool files for hardcoded gcc $1 library path..."
-/bin/gawk -v OLDVER="$1" -f "${AWKDIR}/fixlafiles.awk"
+/bin/gawk -v OLDVER="${ARGV1}" -f "${AWKDIR}/fixlafiles.awk"
# vim:ts=4